Skip to content

List team members

GET
/api/v1/team/members
curl --request GET \
--url https://api.deploybase.eu/api/v1/api/v1/team/members \
--header 'Authorization: <Authorization>'

Returns all members of the authenticated user’s team

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
members
Array<object>
object
display_name
string
email
string
id
string
is_current_user
boolean
joined_at
string
role
string
total
integer
Example generated
{
"data": {
"members": [
{
"display_name": "example",
"email": "example",
"id": "example",
"is_current_user": true,
"joined_at": "example",
"role": "example"
}
],
"total": 1
},
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Unauthorized

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Forbidden

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}